Advertisements

Yesterday, Apple released the iOS 4.0.2 for iPhone 4, 3GS, 3G, iPod touch 3G / 2G and iOS 3.2.2 for iPad to fix the PDF exploit which was used by JailbreakMe.com. Since the nature of exploit was highly vulnerable, Apple recommended everyone to update to this new firmware in order to secure all iOS based devices. This of course also meant that jailbreak and unlock for iPhone 4, 3GS, iPad and iPod touch 3G on iOS 4.0.2 / 3.2.2 will not be possible for these mentioned devices.

PDF Patch

Previously, we reported about “PDF Loading Warner” app which was basically a temporary fix which used to warn when any PDF file tried to inject malicious code through this hole. But now, Saurik, the creator of Cydia has created an actual patch which will completely close the hole on all iOS based devices, including the first-gen iPhone and iPod touch which were left out in cold by Apple, making you completely safe running jailbroken iOS 4.0.1 / iOS 3.2.1.

It is available right now by the name of “PDF Patch” in Cydia. Install it on any of your iOS based device which is jailbroken on iOS 2.x, up to iOS 4.0.1. [via The iPhone-Dev Team Blog]

You may also like to check out:

You can follow me on twitter or join our facebook fanpage to keep yourself updated on all the latest iPhone jailbreaking and unlocking releases.

Advertisements